Subject: RE: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Drew Adams <[email-masked]>
Date: Mon, 25 Dec 2017 09:03:25 -0800 (PST)

> I have now downloaded
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__alpha.gnu.org_gnu_emacs_pretest_windows_emacs-2D26.0.90-2Dx86-
> 5F64.zip&d=DwIBAg&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=kI3P6lj
> Gv6CTHIKju0jqInF6AOwMCYRDQUmqX22rJ98&m=ld839yNfgceFGqhWZhUlKz_6rp3Ce5sZW3
> 2rdWxRU0o&s=JZebrbtRrchSmiKzs4mv2B_gkLchKlrMXilUfaHBa0s&e=,
> extracted elisp.info from it, and looked at it in "emacs -Q" on my
> system.  I cannot reproduce the problem you reported: those 2
> cross-references lead me to the description of 'nth', as expected.
> 
> So now I'm even more puzzled by your report.  Can you please verify:
> 
>   . the Info file you are looking at is from the Emacs 26.0.90 pretest
>   . the Emacs binary you use to look at it is from that pretest, as it
>     is available now from alpha.gnu.org

Very weird.

I downloaded that, tried it, and I do not see the problem now.

I again tried the other 26 pretest I have - again, no problem.
I again tried Emacs 27 (snapshot from 2017-11-30) - no problem.
I again tried Emacs 25.2 and 25.3.1 (releases) - no problem.

But I again tried Emacs 24.5 (release), and the problem is still
there - reproducible over and over.

Hope this makes sense to you; it doesn't make sense to me.

I don't understand why I saw something different before, with
the same builds (and `emacs -Q'), from what I'm seeing now.
And I don't understand why I still see the problem for Emacs
24.5 now.  I don't even think that I rebooted in between the
previous tests and these.  I'm not aware of anything having
changed.

I stepped through the debugger with Emacs 24.5.  Attached
are two screenshots showing, I think, the problem.  HTH.